import pandas as pd
import matplotlib.pyplot as plt
import torch

torch.manual_seed(400)

def plot():

    f, (ax1, ax2) = plt.subplots(1, 2)
    f.set_size_inches(8, 3)

    ax1.scatter(0, 1, marker='s')
    ax1.scatter(1, 0, marker='s')
    ax1.scatter(1, 1, marker='*')
    ax1.scatter(0, 0, marker='*')
    ax1.set_title('Output labels in the input space')

    ax2.set_title('Output labels in the hidden space')

    plt.show()

if __name__ == "__main__":
    fname = 'xor.csv'
    plot()
